%define daemon_group apache

Name:       op5-dokuwiki
Version:    %{op5version}
Release:    %{op5release}%{?dist}
Summary:    A wiki with plain text files backend, with integration to ninja authenticaiton
License:    GPLv2
Group:      op5/Monitor
Url:        http://wiki.splitbrain.org/wiki:dokuwiki
Source0:    %name-%version.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}
Prefix:     /var/www/html/dokuwiki
Requires:   op5-monitor-supported-webserver
Requires:   monitor-ninja
Requires:   php-mbstring

%description
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at creating
documentation of any kind. It is targeted at developer teams, workgroups and
small companies. It has a simple but powerful syntax which makes sure the
datafiles remain readable outside the Wiki and eases the creation of structured
texts. All data is stored in plain text files -- no database is required.

This version is prepared with op5 ninja auth integration.

%package test
Summary: Test files for dokuwiki
Group: op5/Monitor
Requires: op5-dokuwiki = %version
Requires: monitor-nacoma
%if 0%{?rhel} >= 7
%else
Requires: rubygem20-op5cucumber
%endif

%description test
Test files for dokuwiki

%prep
%setup -q
find . -name '.htaccess' | xargs rm -f

%build


%install
mkdir -p -m 755 %buildroot%prefix
install -m 644 *.php COPYING README VERSION %buildroot/%prefix/
mv bin conf data inc lib vendor %buildroot/%prefix/

chmod 775 %buildroot/%prefix/conf

# data dir
mkdir -p -m 770 %buildroot/%prefix/data/pages
mkdir -p -m 770 %buildroot/%prefix/data/media
mkdir -p -m 770 %buildroot/%prefix/data/locks
mkdir -p -m 770 %buildroot/%prefix/data/tmp
mkdir -p -m 770 %buildroot/%prefix/data/cache
mkdir -p -m 770 %buildroot/%prefix/data/meta
mkdir -p -m 770 %buildroot/%prefix/data/index
mkdir -p -m 770 %buildroot/%prefix/data/media_meta
mkdir -p -m 770 %buildroot/%prefix/data/attic
mkdir -p -m 770 %buildroot/%prefix/data/media_attic
chmod -R 770 %buildroot/%prefix/data

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 http-op5-dokuwiki.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf


%clean
rm -rf %{buildroot}

%pre
if [ $1 = "2" ]; then
    # fix for old setup
    if [ -d %{_localstatedir}/%{name}/data ]; then
        mv %{_localstatedir}/%{name}/data/* %{_localstatedir}/%{name}
        rmdir %{_localstatedir}/%{name}/data
    fi
fi

%post
# Clean up old temporary files
rm -rf %prefix/data/tmp/*
rm -rf %prefix/data/cache/*
# Rebuild search index
php %prefix/bin/indexer.php -c -q
chmod -R 770 %prefix/data
chown -R root:%daemon_group %prefix/data
chmod -R 770 %prefix/conf
chown -R root:%daemon_group %prefix/conf
%if 0%{?rhel} <= 6
service httpd restart
%else
systemctl try-restart httpd
%endif

%postun


%files
%defattr(-,root,%daemon_group)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%prefix/bin
%prefix/conf/*.dist
%prefix/conf/*.example
%attr(775,root,%daemon_group) %prefix/conf/*.php
%attr(775,root,%daemon_group) %prefix/conf/*.conf
%doc %prefix/COPYING
%prefix/data
%prefix/doku.php
%prefix/feed.php
%prefix/inc
%prefix/index.php
%prefix/lib
%prefix/vendor
%doc %prefix/README
%doc %prefix/VERSION
%config(noreplace) %prefix/data/pages/start.txt
%config %attr(644,root,root) %prefix/conf/local.protected.php
%config(noreplace) %prefix/data/pages/links.txt
%config(noreplace) %prefix/data/pages/hosts/start.txt
%config(noreplace) %prefix/data/pages/hosts/_template.txt

%exclude %prefix/install.php

%files test

%changelog
* Wed Oct 17 2012 Max Sikström <msikstrom@op5.com>
- Now pulling from upstream repository, upgraded
* Thu Sep 13 2007 Peter Ostlin <peter@op5.com>
- Centos uses apache as webuser/group
* Mon Jul 23 2007 Johannes Dagemark <jd@op5.com>
- Updated to dokuwiki-2007-06-26b
* Thu Mar 20 2007 Peter Ostlin <peter@op5.se>
- Minor fixes
* Thu Jan 30 2007 Johannes Dagemark <jd@op5.se>
- Initial packaging for op5 System
